/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla addressbook.
 *
 * The Initial Developer of the Original Code is
 * Pawel Chmielowski <prefiks@o2.pl>
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Pawel Chmielowski <prefiks@o2.pl>
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * scripts.uiscripts.RemoveAccount
 *
 * $Id: removeaccount.js,v 1.1 2003/03/25 13:19:02 prefiks Exp $
 *
 */
ML.load("utils/misc.js");

function RemoveAccountHandler()
{
    this.bundle = getStringBundle("chrome://jim/locale/jim.properties");
}

RemoveAccountHandler.prototype =
{
    finish: function()
    {
        var removeFromServer = document.getElementById("remove-account-from-server").checked;
        jabberService.core.highlevel.accounts.removeAccountInfo(this.account);
    },

    onLoad: function()
    {
        this.account = window.arguments[0];
        document.getElementById("remove-account-question").
            appendChild(document.createTextNode(
                this.bundle.formatStringFromName(
                "removeAccountQuestion", [this.account], 1)
            ));
    }
}

var removeAccountHandler = new RemoveAccountHandler();